Name:		smb4k
Version:	4.0.0
Release:	%mkrel 1
Summary:	A KDE SMB share browser
License:	GPLv2+
Group:		Networking/Other
Url:		https://smb4k.sourceforge.io/
Source0:	https://downloads.sourceforge.net/smb4k/%{name}-%{version}.tar.xz

BuildRequires:	kf6-rpm-macros

BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6Network)
BuildRequires:	cmake(Qt6PrintSupport)
BuildRequires:	cmake(Qt6Qml)
BuildRequires:	cmake(Qt6Test)
BuildRequires:	cmake(Qt6Widgets)

BuildRequires:	cmake(KF6Auth)
BuildRequires:	cmake(KF6Completion)
BuildRequires:	cmake(KF6Config)
BuildRequires:	cmake(KF6ConfigWidgets)
BuildRequires:	cmake(KF6CoreAddons)
BuildRequires:	cmake(KF6Crash)
BuildRequires:	cmake(KF6DBusAddons)
BuildRequires:	cmake(KF6DNSSD)
BuildRequires:	cmake(KF6DocTools)
BuildRequires:	cmake(KF6I18n)
BuildRequires:	cmake(KF6IconThemes)
BuildRequires:	cmake(KF6JobWidgets)
BuildRequires:	cmake(KF6KIO)
BuildRequires:	cmake(KF6Notifications)
BuildRequires:	cmake(KF6Solid)
BuildRequires:	cmake(KF6StatusNotifierItem)
BuildRequires:	cmake(KF6Wallet)
BuildRequires:	cmake(KF6WidgetsAddons)
BuildRequires:	cmake(KF6WindowSystem)
BuildRequires:	cmake(KF6XmlGui)

BuildRequires:	cmake(Qt6Keychain)
BuildRequires:	cmake(Plasma)
BuildRequires:	cmake(KF6Kirigami)
BuildRequires:	cmake(KDSoap-qt6)
BuildRequires:	cmake(KDSoapWSDiscoveryClient)

BuildRequires:	pkgconfig(smbclient)

Requires:	samba-client

%description
An SMB network and share browser for Plasma.

%files -f %{name}.lang
%{_kf6_bindir}/%{name}*
%{_kf6_datadir}/dbus-1/system-services/org.kde.%{name}.mounthelper.service
%{_kf6_datadir}/dbus-1/system.d/org.kde.%{name}.mounthelper.conf
%{_kf6_datadir}/polkit-1/actions/org.kde.%{name}.mounthelper.policy
%{_qt6_plugindir}/*.so
%{_kf6_libexecdir}/kauth/mounthelper
%{_kf6_qmldir}/org/kde/%{name}/
%{_kf6_applicationsdir}/org.kde.%{name}.desktop
%{_kf6_datadir}/plasma/plasmoids/org.kde.smb4kqml/
%{_kf6_datadir}/config.kcfg/%{name}.kcfg
%{_kf6_knotificationsdir}/%{name}.notifyrc
%{_kf6_iconsdir}/*/*/*/*
%{_kf6_metainfodir}/org.kde.%{name}.appdata.xml
%{_kf6_metainfodir}/org.kde.%{name}qml.appdata.xml
%{_kf6_libdir}/libsmb4kcore.so
%{_kf6_libdir}/libsmb4kdialogs.so

#------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%find_lang %{name} --with-html --all-name


%changelog
* Tue Feb 04 2025 daviddavid <daviddavid> 4.0.0-1.mga10
+ Revision: 2145135
- new version: 4.0.0

* Sat Dec 14 2024 daviddavid <daviddavid> 3.2.92-1.mga10
+ Revision: 2124917
- new version: 3.2.92

* Thu Nov 14 2024 daviddavid <daviddavid> 3.2.91-1.mga10
+ Revision: 2115526
- new version: 3.2.91

* Wed Oct 16 2024 daviddavid <daviddavid> 3.2.90-1.mga10
+ Revision: 2107158
- new version: 3.2.90

* Sat Sep 14 2024 daviddavid <daviddavid> 3.2.81-1.mga10
+ Revision: 2095985
- new version: 3.2.81

* Tue Jul 23 2024 daviddavid <daviddavid> 3.2.80-1.mga10
+ Revision: 2082328
- new version: 3.2.80

* Wed Jun 26 2024 daviddavid <daviddavid> 3.2.72-1.mga10
+ Revision: 2077150
- new version: 3.2.72

* Thu May 30 2024 daviddavid <daviddavid> 3.2.71-1.mga10
+ Revision: 2068818
- new version: 3.2.71

* Wed Apr 24 2024 daviddavid <daviddavid> 3.2.70-1.mga10
+ Revision: 2060796
- new version: 3.2.70
- switch to Qt6/KF6

* Sat Nov 25 2023 daviddavid <daviddavid> 3.2.5-1.mga10
+ Revision: 2009622
- new version: 3.2.5

* Thu Oct 19 2023 daviddavid <daviddavid> 3.2.4-1.mga10
+ Revision: 1999091
- new version: 3.2.4

* Sat Sep 16 2023 daviddavid <daviddavid> 3.2.3-1.mga10
+ Revision: 1987031
- new version: 3.2.3

* Mon Aug 28 2023 daviddavid <daviddavid> 3.2.2-1.mga10
+ Revision: 1980347
- new version: 3.2.2

* Sat May 13 2023 daviddavid <daviddavid> 3.2.1-1.mga9
+ Revision: 1956709
- new version: 3.2.1

* Mon Jan 09 2023 daviddavid <daviddavid> 3.1.7-1.mga9
+ Revision: 1931854
- new version: 3.1.7

* Sat Dec 17 2022 daviddavid <daviddavid> 3.1.6-1.mga9
+ Revision: 1923878
- new version: 3.1.6

* Mon Dec 05 2022 daviddavid <daviddavid> 3.1.5-1.mga9
+ Revision: 1917939
- new version: 3.1.5

* Sat Nov 12 2022 daviddavid <daviddavid> 3.1.4-1.mga9
+ Revision: 1905954
- new version: 3.1.4

* Sat Jul 23 2022 luigiwalser <luigiwalser> 3.1.3-1.mga9
+ Revision: 1870432
- 3.1.3

* Fri Apr 15 2022 luigiwalser <luigiwalser> 3.1.2-1.mga9
+ Revision: 1850433
- 3.1.2

* Wed May 26 2021 daviddavid <daviddavid> 3.1.0-1.mga9
+ Revision: 1728425
- new version: 3.1.0
- no more lib and devel sub-pkgs so let's drop them

* Thu Dec 17 2020 umeabot <umeabot> 3.0.7-2.mga8
+ Revision: 1659857
- Rebuild for new Qt5

* Sun Nov 08 2020 daviddavid <daviddavid> 3.0.7-1.mga8
+ Revision: 1643560
- new version: 3.0.7

* Thu Jun 04 2020 daviddavid <daviddavid> 3.0.6-1.mga8
+ Revision: 1590291
- new version: 3.0.6

* Thu May 28 2020 daviddavid <daviddavid> 3.0.5-2.mga8
+ Revision: 1588530
- switch appdata files to kf5_metainfo dir

* Wed May 13 2020 daviddavid <daviddavid> 3.0.5-1.mga8
+ Revision: 1583440
- new version: 3.0.5

* Tue Apr 14 2020 daviddavid <daviddavid> 3.0.4-1.mga8
+ Revision: 1567236
- new version: 3.0.4

* Mon Mar 09 2020 daviddavid <daviddavid> 3.0.3-1.mga8
+ Revision: 1555007
- new version: 3.0.3

* Sat Feb 15 2020 umeabot <umeabot> 3.0.2-2.mga8
+ Revision: 1528253
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Mon Aug 19 2019 daviddavid <daviddavid> 3.0.2-1.mga8
+ Revision: 1429930
- new version: 3.0.2

* Sun Jun 30 2019 daviddavid <daviddavid> 3.0.1-1.mga8
+ Revision: 1416368
- new version: 3.0.1

* Tue Apr 02 2019 umeabot <umeabot> 2.1.1-3.mga7
+ Revision: 1384846
- Qt5 Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 2.1.1-2.mga7
+ Revision: 1301075
- Mageia 7 Mass Rebuild

* Sun Jul 22 2018 daviddavid <daviddavid> 2.1.1-1.mga7
+ Revision: 1244889
- new version: 2.1.1

* Sun Apr 22 2018 daviddavid <daviddavid> 2.1.0-1.mga7
+ Revision: 1220954
- new version: 2.1.0

* Mon Oct 30 2017 daviddavid <daviddavid> 2.0.2-1.mga7
+ Revision: 1174879
- new version: 2.0.2

* Sun Jul 23 2017 daviddavid <daviddavid> 2.0.1-1.mga7
+ Revision: 1129502
- new version: 2.0.1
- remove merged upstream CVE-2017-8849 patch

* Wed May 10 2017 neoclust <neoclust> 2.0.0-2.mga6
+ Revision: 1099981
- Add P100 - Fixes CVE-2017-8449

* Sat Mar 11 2017 daviddavid <daviddavid> 2.0.0-1.mga6
+ Revision: 1091951
- new version: 2.0.0 (first Qt5 and KF5 based version of Smb4K)

* Mon Feb 06 2017 daviddavid <daviddavid> 1.9.90-1.mga6
+ Revision: 1085044
- new version: 1.9.90 (second beta release of the upcoming KF5-based Smb4K 2.0)

* Wed Jan 11 2017 daviddavid <daviddavid> 1.9.80-1.mga6
+ Revision: 1081072
- new version: 1.9.80 (first beta release of the upcoming KF5-based Smb4K 2.0)
- port to Kf5/Qt5
- now libmajor is 5

* Mon Dec 12 2016 luigiwalser <luigiwalser> 1.2.2-1.mga6
+ Revision: 1074401
- 1.2.2

* Sat Dec 26 2015 luigiwalser <luigiwalser> 1.2.1-1.mga6
+ Revision: 915470
- 1.2.1

* Wed Oct 15 2014 umeabot <umeabot> 1.1.2-3.mga5
+ Revision: 742970
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1.2-2.mga5
+ Revision: 689206
- Mageia 5 Mass Rebuild

* Wed Jun 04 2014 luigiwalser <luigiwalser> 1.1.2-1.mga5
+ Revision: 633266
- 1.1.2 (fixes CVE-2014-2581)

* Sat Oct 19 2013 umeabot <umeabot> 1.0.7-2.mga4
+ Revision: 524175
- Mageia 4 Mass Rebuild

* Wed May 29 2013 fwang <fwang> 1.0.7-1.mga4
+ Revision: 430459
- new version 1.0.7

* Mon Jan 14 2013 umeabot <umeabot> 1.0.4-2.mga3
+ Revision: 382195
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Sep 06 2012 fwang <fwang> 1.0.4-1.mga3
+ Revision: 288734
- new version 1.0.4

* Mon Jun 25 2012 fwang <fwang> 1.0.3-1.mga3
+ Revision: 263417
- new version 1.0.3

* Fri Jun 01 2012 fwang <fwang> 1.0.2-1.mga3
+ Revision: 252660
- new version 1.0.2

* Sun Feb 05 2012 fwang <fwang> 1.0.0-1.mga2
+ Revision: 205060
- new version 1.0.0

* Tue Jan 24 2012 fwang <fwang> 0.10.92-1.mga2
+ Revision: 200527
- new version 0.10.92

* Wed Nov 16 2011 fwang <fwang> 0.10.90-1.mga2
+ Revision: 168087
- update file list
- new version 0.10.90
+ ze <ze>
- version 0.10.71 (1.0.0 beta2)

* Fri Jul 08 2011 ze <ze> 0.10.70-1.mga2
+ Revision: 120037
- 0.10.70
- remove explicite requires since they already are handled internally
- put lib macro in top to be able to add explicite require to version in main package
- set requires to version only since this is an oficial release
- remove too old obsolete entries that are no longer in use
- imported package smb4k


* Mon Jun 27 2011 Funda Wang <fwang@mandriva.org> 0.10.10-2mdv2011.0
+ Revision: 687517
- add fedora patch to try fix bug#63521 (only works under konsole)

* Tue Mar 08 2011 Funda Wang <fwang@mandriva.org> 0.10.10-1
+ Revision: 642972
- update to new version 0.10.10

* Sat Sep 11 2010 Funda Wang <fwang@mandriva.org> 0.10.9-1mdv2011.0
+ Revision: 577577
- new version 0.10.9

* Sat Aug 21 2010 Funda Wang <fwang@mandriva.org> 0.10.8-1mdv2011.0
+ Revision: 571607
- update to new version 0.10.8

* Sun May 02 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.10.7-2mdv2010.1
+ Revision: 541670
- Fix patch0
- Fix i18n error in Warning window
  This does not fix bug 58877, but at least fix the display
  CCBUG: 58877

* Wed Apr 07 2010 Funda Wang <fwang@mandriva.org> 0.10.7-1mdv2010.1
+ Revision: 532669
- update to new version 0.10.7

* Thu Mar 25 2010 Funda Wang <fwang@mandriva.org> 0.10.6-1mdv2010.1
+ Revision: 527362
- new version 0.10.6

* Sun Feb 14 2010 Funda Wang <fwang@mandriva.org> 0.10.5-1mdv2010.1
+ Revision: 505829
- New version 0.10.5

* Thu Oct 08 2009 Funda Wang <fwang@mandriva.org> 0.10.4-1mdv2010.0
+ Revision: 456086
- should be 1mdv

* Tue Oct 06 2009 Funda Wang <fwang@mandriva.org> 0.10.4-0.1mdv2010.0
+ Revision: 454642
- New version 0.10.4 (fix crash upon startup)

* Thu Oct 01 2009 Funda Wang <fwang@mandriva.org> 0.10.3-1mdv2010.0
+ Revision: 451925
- New version 0.10.3

* Wed Feb 25 2009 Frederik Himpe <fhimpe@mandriva.org> 0.10.2-1mdv2009.1
+ Revision: 344939
- Update to new version 0.10.2

* Mon Oct 13 2008 Funda Wang <fwang@mandriva.org> 0.10.1-1mdv2009.1
+ Revision: 293065
- New version 0.10.1

* Sat Aug 30 2008 Frederik Himpe <fhimpe@mandriva.org> 0.10.0-1mdv2009.0
+ Revision: 277649
- Update to final 0.10.0 version

* Mon Aug 11 2008 Funda Wang <fwang@mandriva.org> 0.10.0-0.rc.1mdv2009.0
+ Revision: 270668
- New version 0.10.0 rc
- smb4kdialogs becomes non-versioned

* Fri Jul 25 2008 Funda Wang <fwang@mandriva.org> 0.10.0-0.beta2.1mdv2009.0
+ Revision: 248414
- add icon files
- add patch to fix doc install
- 0.10.0 beta2

* Sun Jul 06 2008 Funda Wang <fwang@mandriva.org> 0.10.0-0.beta1.1mdv2009.0
+ Revision: 232238
- New version 0.10.0 beta 1

* Mon Jun 23 2008 Funda Wang <fwang@mandriva.org> 0.10.0-0.alpha.1mdv2009.0
+ Revision: 228080
- New version 0.10.0 alpha ( KDE4 version )

* Sun Jun 15 2008 Funda Wang <fwang@mandriva.org> 0.9.6-1mdv2009.0
+ Revision: 219283
- New version 0.9.6

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Fri Jun 06 2008 Helio Chissini de Castro <helio@mandriva.com> 0.9.5-2mdv2009.0
+ Revision: 216542
- kde 3 application. kde 3 based. Goes to /opt

* Fri Jun 06 2008 Funda Wang <fwang@mandriva.org> 0.9.5-1mdv2009.0
+ Revision: 216483
- New version 0.9.5

* Thu May 08 2008 Helio Chissini de Castro <helio@mandriva.com> 0.9.4-2mdv2009.0
+ Revision: 204610
- Move for new kde3 path

  + Funda Wang <fwang@mandriva.org>
    - fix file list
    - New version 0.9.4

* Sun Feb 24 2008 Funda Wang <fwang@mandriva.org> 0.9.3-1mdv2008.1
+ Revision: 174267
- New version 0.9.3

* Sun Jan 20 2008 Funda Wang <fwang@mandriva.org> 0.9.2-1mdv2008.1
+ Revision: 155292
- New version 0.9.2

  + Thierry Vignaud <tv@mandriva.org>
    - fix description

* Tue Jan 01 2008 Funda Wang <fwang@mandriva.org> 0.9.1-2mdv2008.1
+ Revision: 139977
- move *.la into main pacakge
- finally move libsmb4kdialogs.la into main package (bug#36435)

* Mon Dec 31 2007 Funda Wang <fwang@mandriva.org> 0.9.1-1mdv2008.1
+ Revision: 139764
- New version 0.9.1

* Sat Dec 29 2007 Funda Wang <fwang@mandriva.org> 0.9.0-3mdv2008.1
+ Revision: 139066
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Dec 21 2007 Funda Wang <fwang@mandriva.org> 0.9.0-2mdv2008.1
+ Revision: 136273
- move libsmb4kdialogs.so into main package

* Tue Dec 18 2007 Funda Wang <fwang@mandriva.org> 0.9.0-1mdv2008.1
+ Revision: 131995
- obsoletes old devel name
- obsoletes old lib and devel package
- New version 0.9.0
- drop libname as it is useless for standalone application

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Nov 28 2007 Funda Wang <fwang@mandriva.org> 0.8.7-1mdv2008.1
+ Revision: 113709
- New version 0.8.7

* Wed Oct 17 2007 Funda Wang <fwang@mandriva.org> 0.8.6-1mdv2008.1
+ Revision: 99494
- New version 0.8.6

* Mon Oct 15 2007 Funda Wang <fwang@mandriva.org> 0.8.5-1mdv2008.1
+ Revision: 98366
- New version 0.8.5

* Wed Aug 29 2007 Funda Wang <fwang@mandriva.org> 0.8.4-2mdv2008.0
+ Revision: 73530
- fix menu category -> Only Network/FileTransfer now.

  + Anssi Hannula <anssi@mandriva.org>
    - drop hardcoded packager tag

* Mon Jul 16 2007 Funda Wang <fwang@mandriva.org> 0.8.4-1mdv2008.0
+ Revision: 52398
- New version

* Thu May 03 2007 Laurent Montel <lmontel@mandriva.org> 0.8.3-1mdv2008.0
+ Revision: 20865
- 0.8.3


* Tue Jan 09 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.8.0-3mdv2007.0
+ Revision: 106739
- fix provides

* Tue Jan 02 2007 Nicolas Lécureuil <neoclust@mandriva.org> 0.8.0-2mdv2007.1
+ Revision: 103055
- Fix BuildRequires
- Fix symplinks for doc
- Kill old debian menu style

* Fri Dec 22 2006 Laurent Montel <lmontel@mandriva.com> 0.8.0-1mdv2007.1
+ Revision: 101485
- 0.8.0

* Mon Nov 27 2006 Laurent Montel <lmontel@mandriva.com> 0.7.5-1mdv2007.1
+ Revision: 87355
- 0.7.5

* Sun Nov 12 2006 Laurent Montel <lmontel@mandriva.com> 0.7.4-1mdv2007.1
+ Revision: 83284
- 0.7.4

* Fri Oct 20 2006 Laurent Montel <lmontel@mandriva.com> 0.7.3-1mdv2007.0
+ Revision: 71226
- 0.7.3
- Import smb4k

* Fri Aug 04 2006 Laurent MONTEL <lmontel@mandriva.com> 0.7.2-1
- 0.7.2

* Mon Jun 19 2006 Laurent MONTEL <lmontel@mandriva.com> 0.7.1-1
- 0.7.1

* Mon Apr 24 2006 Laurent MONTEL <lmontel@mandriva.com> 0.7.0-1
- 0.7.0

* Tue Apr 18 2006 Laurent MONTEL <lmontel@mandriva.com> 0.6.10-1
- 0.6.10

* Fri Mar 24 2006 Laurent MONTEL <lmontel@mandriva.com> 0.6.9-1
- 0.6.9

* Sat Mar 11 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.6.8-2mdk
- Complete french translation (Ticket # 20096)

* Mon Feb 27 2006 Laurent MONTEL <lmontel@mandriva.com> 0.6.8-1
- 0.6.8

* Sun Feb 05 2006 Laurent MONTEL <lmontel@mandriva.com> 0.6.7-1
- 0.6.7

* Sun Feb 05 2006 Laurent MONTEL <lmontel@mandriva.com> 0.6.6-1
- 0.6.6

* Sat Jan 07 2006 Laurent MONTEL <lmontel@mandriva.com> 0.6.5-1
- 0.6.5

* Tue Dec 06 2005 Laurent MONTEL <lmontel@mandriva.com> 0.6.4-1
- 0.6.4

* Thu Sep 01 2005 Laurent MONTEL <lmontel@mandriva.com> 0.6.3-1
- 0.6.3

* Wed Aug 31 2005 Laurent MONTEL <lmontel@mandriva.com> 0.6.2-2
- Add patch1: disable ok button when smb url is empty

* Tue Aug 30 2005 Laurent MONTEL <lmontel@mandriva.com> 0.6.2-1
- New release (security fix)
- Fix compile under x86_64

* Tue Aug 02 2005 Buchan Milne <bgmilne@linux-mandrake.com> 0.6.1-1mdk
- New release 0.6.1
- update compatability macros, remove unused macros, fix source url
- run ldconfig in lib package scriplets
- make devel package require lib package
- remove buildroot path from libtool files

* Tue Jul 19 2005 Laurent MONTEL <lmontel@mandriva.com> 0.6.0--r 2 0.6.0
- Fix build on x86_64

* Sat Jun 18 2005 Laurent MONTEL <lmontel@mandriva.com> 0.6.0--r 1 0.6.0
- 0.6.0

* Thu Feb 17 2005 Buchan Milne <bgmilne@linux-mandrake.com> 0.5.1-1mdk
- 0.5.1

* Wed Jan 12 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.5.0--r 1 0.5.0
- 0.5.0

* Tue Dec 21 2004 Buchan Milne <bgmilne@linux-mandrake.com> 0.5.0-0.pre3.1mdk
- 0.5.0pre3
- implement distro-specific release tag and use mkver for pre-version
  handling

* Sat Aug 14 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.4.0-3mdk
- Rebuild with new menu conversion table

* Sat Jun 05 2004 <lmontel@n2.mandrakesoft.com> 0.4.0-2mdk
- Rebuild

* Sat May 08 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.4.0-1mdk
- 0.4.0

* Wed Apr 14 2004 Buchan Milne <bgmilne@linux-mandrake.com> 0.3.2-3mdk
- require samba-client (#9481)
- drop unused libsmbclient-devel buildrequires

* Wed Feb 18 2004 David Baudens <baudens@mandrakesoft.com> 0.3.2-2mdk
- Fix menu

* Tue Feb 10 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.3.2-1mdk
- from Diego CLAEYS (Romax MANIAX) :
	- Update to new version 0.3.2

